lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ANurag <anurag.pha...@gmail.com>
Subject lucene + solr: corrupt index
Date Tue, 24 Aug 2010 01:02:59 GMT
Hi,
I am using lucene 3.0 jars and built a lucene index with 200
documents. The index files were then copied over to my solr 1.4.1
installation. I get the following error every time I start SOLR:
What could I be doing wrong?

SEVERE: Could not start SOLR. Check solr/home property
java.lang.RuntimeException:
org.apache.lucene.index.CorruptIndexException: Incompatible format
version: 2 expected 1 or lower
	at org.apache.solr.core.SolrCore.getSearcher(SolrCore.java:1068)
	at org.apache.solr.core.SolrCore.<init>(SolrCore.java:579)
	at org.apache.solr.core.CoreContainer$Initializer.initialize(CoreContainer.java:137)
	at org.apache.solr.servlet.SolrDispatchFilter.init(SolrDispatchFilter.java:83)
	at org.mortbay.jetty.servlet.FilterHolder.doStart(FilterHolder.java:99)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:40)
	at org.mortbay.jetty.servlet.ServletHandler.initialize(ServletHandler.java:594)
	at org.mortbay.jetty.servlet.Context.startContext(Context.java:139)
	at org.mortbay.jetty.webapp.WebAppContext.startContext(WebAppContext.java:1218)
	at org.mortbay.jetty.handler.ContextHandler.doStart(ContextHandler.java:500)
	at org.mortbay.jetty.webapp.WebAppContext.doStart(WebAppContext.java:448)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:40)
	at org.mortbay.jetty.handler.HandlerCollection.doStart(HandlerCollection.java:147)
	at org.mortbay.jetty.handler.ContextHandlerCollection.doStart(ContextHandlerCollection.java:161)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:40)
	at org.mortbay.jetty.handler.HandlerCollection.doStart(HandlerCollection.java:147)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:40)
	at org.mortbay.jetty.handler.HandlerWrapper.doStart(HandlerWrapper.java:117)
	at org.mortbay.jetty.Server.doStart(Server.java:210)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:40)
	at org.mortbay.xml.XmlConfiguration.main(XmlConfiguration.java:929)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.mortbay.start.Main.invokeMain(Main.java:183)
	at org.mortbay.start.Main.start(Main.java:497)
	at org.mortbay.start.Main.main(Main.java:115)
Caused by: org.apache.lucene.index.CorruptIndexException: Incompatible
format version: 2 expected 1 or lower
	at org.apache.lucene.index.FieldsReader.<init>(FieldsReader.java:117)
	at org.apache.lucene.index.SegmentReader$CoreReaders.openDocStores(SegmentReader.java:291)
	at org.apache.lucene.index.SegmentReader.get(SegmentReader.java:654)
	at org.apache.lucene.index.SegmentReader.get(SegmentReader.java:613)
	at org.apache.lucene.index.DirectoryReader.<init>(DirectoryReader.java:104)
	at org.apache.lucene.index.ReadOnlyDirectoryReader.<init>(ReadOnlyDirectoryReader.java:27)
	at org.apache.lucene.index.DirectoryReader$1.doBody(DirectoryReader.java:74)
	at org.apache.lucene.index.SegmentInfos$FindSegmentsFile.run(SegmentInfos.java:683)
	at org.apache.lucene.index.DirectoryReader.open(DirectoryReader.java:69)
	at org.apache.lucene.index.IndexReader.open(IndexReader.java:476)
	at org.apache.lucene.index.IndexReader.open(IndexReader.java:403)
	at org.apache.solr.core.StandardIndexReaderFactory.newReader(StandardIndexReaderFactory.java:38)
	at org.apache.solr.core.SolrCore.getSearcher(SolrCore.java:1057)
	... 27 more

Mime
View raw message